snd_pcm_hw_constraint_integer
Prev | Chapter 24. Sound Devices | Next

## Name

snd_pcm_hw_constraint_integer —

## Synopsis

`int snd_pcm_hw_constraint_integer (` | struct snd_pcm_runtime * | runtime,
| snd_pcm_hw_param_t | var`)`;

## Arguments

`runtime`

  PCM runtime instance

`var`

  hw_params variable to apply the integer constraint

## Description

Apply the constraint of integer to an interval parameter.

Prev | Up | Next
snd_pcm_hw_rule_add | Home | snd_pcm_hw_constraint_minmax